#!/bin/bash

if [ ! -e "/etc/version" ]; then
	echo "Unit does not appear to be a Sixnet/Redlion SN unit, exiting."
	exit 1
fi

#ZIP file archive must be called:
FILE_NAME=$1

if [ ! -e "$FILE_NAME" ]; then
	echo "Cannot find package file $FILE_NAME"
	exit 1
fi

echo "Setting up files ... PLEASE WAIT ..."
unzip -o $FILE_NAME -x install.sh -d /

echo " ============================================= "
echo "            Installation complete."
echo " ============================================= "
echo

exit 0
